> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Managed Auth Template Import



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /managed-auth/templates/import
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /managed-auth/templates/import:
    post:
      tags:
        - managed-auth
      summary: Managed Auth Template Import
      operationId: managed_auth_template_import
      parameters:
        - name: dry_run
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Dry Run
        - name: expected_target_state_sha256
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Expected Target State Sha256
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagedAuthTemplateBundle'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedAuthTemplateImportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    ManagedAuthTemplateBundle:
      properties:
        schema_version:
          type: integer
          const: 1
          title: Schema Version
          default: 1
        revision:
          type: integer
          exclusiveMinimum: 0
          title: Revision
        template:
          $ref: '#/components/schemas/ManagedAuthTemplateCreateRequest'
        login_function:
          $ref: '#/components/schemas/ManagedAuthTemplateBundleFunction'
        verifier_function:
          $ref: '#/components/schemas/ManagedAuthTemplateBundleFunction'
        bundle_sha256:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Bundle Sha256
      type: object
      required:
        - revision
        - template
        - login_function
        - verifier_function
        - bundle_sha256
      title: ManagedAuthTemplateBundle
    ManagedAuthTemplateImportResponse:
      properties:
        slug:
          type: string
          title: Slug
        action:
          type: string
          enum:
            - create
            - update
            - no_change
          title: Action
        dry_run:
          type: boolean
          title: Dry Run
        previous_revision:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Revision
        revision:
          type: integer
          title: Revision
        metadata_changes:
          items:
            type: string
          type: array
          title: Metadata Changes
        login_changed:
          type: boolean
          title: Login Changed
        verifier_changed:
          type: boolean
          title: Verifier Changed
        bundle_sha256:
          type: string
          title: Bundle Sha256
        target_state_sha256:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Target State Sha256
      type: object
      required:
        - slug
        - action
        - dry_run
        - revision
        - login_changed
        - verifier_changed
        - bundle_sha256
        - target_state_sha256
      title: ManagedAuthTemplateImportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ManagedAuthTemplateCreateRequest:
      properties:
        slug:
          type: string
          maxLength: 80
          minLength: 1
          pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
          title: Slug
        name:
          type: string
          maxLength: 120
          minLength: 1
          title: Name
        domain:
          type: string
          maxLength: 255
          minLength: 1
          title: Domain
        category:
          type: string
          maxLength: 80
          minLength: 1
          title: Category
        color:
          type: string
          pattern: ^#[0-9a-fA-F]{6}$
          title: Color
        description:
          type: string
          maxLength: 500
          title: Description
          default: ''
        method:
          type: string
          maxLength: 120
          minLength: 1
          title: Method
          default: Managed login
        login_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Url
        allowed_domains:
          items:
            type: string
          type: array
          title: Allowed Domains
        supports_totp:
          type: boolean
          title: Supports Totp
          default: false
      type: object
      required:
        - slug
        - name
        - domain
        - category
        - color
      title: ManagedAuthTemplateCreateRequest
    ManagedAuthTemplateBundleFunction:
      properties:
        name:
          type: string
          maxLength: 120
          minLength: 1
          title: Name
        description:
          type: string
          maxLength: 500
          title: Description
          default: ''
        source:
          type: string
          minLength: 1
          title: Source
        sha256:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Sha256
      type: object
      required:
        - name
        - source
        - sha256
      title: ManagedAuthTemplateBundleFunction
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````